CREATE TABLE `@@DB_MAIN_PREFIX@@access` (
  `groupid` int(10) unsigned NOT NULL default '0',
  `artifact_id` int(10) unsigned NOT NULL default '0',
  `artifact_type` varchar(64) NOT NULL default '',
  `artifact_mode` varchar(64) NOT NULL default '',
  `artifact_index` varchar(64) NOT NULL default '',
  KEY `accessgroup_idx` (`groupid`),
  KEY `accessgroupT_idx` (`artifact_id`,`artifact_type`,`artifact_mode`),
  KEY `accessforeign_idx` (`artifact_id`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@authorgroups` (
  `groupid` int(10) unsigned NOT NULL default '0',
  `authorid` int(10) unsigned NOT NULL default '0',
  KEY `authorgroup_idxA` (`groupid`),
  KEY `authorgroup_idxB` (`authorid`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@authorgroups` VALUES (3,1);
CREATE TABLE `@@DB_MAIN_PREFIX@@authors` (
  `realname` varchar(255) NOT NULL default '',
  `username` varchar(20) default NULL,
  `password` varchar(32) default NULL,
  `authorid` int(11) NOT NULL auto_increment,
  `mail_comments` int(1) default '1',
  `mail_trackbacks` int(1) default '1',
  `email` varchar(128) NOT NULL default '',
  `userlevel` int(4) unsigned NOT NULL default '0',
  `right_publish` int(1) default '1',
  PRIMARY KEY  (`authorid`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `@@DB_MAIN_PREFIX@@authors` VALUES ('@@ADMIN_NAME@@','@@ADMIN_LOGIN@@','@@ADMIN_PASSWD@@',1,1,1,'@@ADMIN_EMAIL@@',255,1);
CREATE TABLE `@@DB_MAIN_PREFIX@@category` (
  `categoryid` int(11) NOT NULL auto_increment,
  `category_name` varchar(255) default NULL,
  `category_icon` varchar(255) default NULL,
  `category_description` text,
  `authorid` int(11) default NULL,
  `category_left` int(11) default '0',
  `category_right` int(11) default '0',
  `parentid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`categoryid`),
  KEY `categorya_idx` (`authorid`),
  KEY `categoryp_idx` (`parentid`),
  KEY `categorylr_idx` (`category_left`,`category_right`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@comments` (
  `id` int(11) NOT NULL auto_increment,
  `entry_id` int(10) unsigned NOT NULL default '0',
  `parent_id` int(10) unsigned NOT NULL default '0',
  `timestamp` int(10) unsigned default NULL,
  `title` varchar(150) default NULL,
  `author` varchar(80) default NULL,
  `email` varchar(200) default NULL,
  `url` varchar(200) default NULL,
  `ip` varchar(15) default NULL,
  `body` text,
  `type` varchar(100) default 'regular',
  `subscribed` enum('true','false') NOT NULL default 'true',
  `status` varchar(50) NOT NULL default '',
  `referer` varchar(200) default NULL,
  PRIMARY KEY  (`id`),
  KEY `commentry_idx` (`entry_id`),
  KEY `commpentry_idx` (`parent_id`),
  KEY `commtype_idx` (`type`),
  KEY `commstat_idx` (`status`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@config` (
  `name` varchar(255) NOT NULL default '',
  `value` text NOT NULL,
  `authorid` int(11) default '0',
  KEY `configauthorid_idx` (`authorid`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@config` VALUES ('template','carl_contest',0),('dbNames','true',0),('serendipityPath','@@ROOT_DIR@@/',0),('uploadPath','uploads/',0),('serendipityHTTPPath','/@@BASE_URL_PATH@@/',0),('templatePath','templates/',0),('uploadHTTPPath','uploads/',0),('baseURL','@@ROOT_URL@@/',0),('autodetect_baseURL','false',0),('indexFile','index.php',0),('permalinkStructure','archives/%id%-%title%.html',0),('permalinkAuthorStructure','authors/%id%-%realname%',0),('permalinkCategoryStructure','categories/%id%-%name%',0),('permalinkFeedCategoryStructure','feeds/categories/%id%-%name%.rss',0),('permalinkFeedAuthorStructure','feeds/authors/%id%-%realname%.rss',0),('permalinkArchivesPath','archives',0),('permalinkArchivePath','archive',0),('permalinkCategoriesPath','categories',0),('permalinkAuthorsPath','authors',0),('permalinkUnsubscribePath','unsubscribe',0),('permalinkDeletePath','delete',0),('permalinkApprovePath','approve',0),('permalinkFeedsPath','feeds',0),('permalinkPluginPath','plugin',0),('permalinkAdminPath','admin',0),('permalinkSearchPath','search',0),('permalinkCommentsPath','comments',0),('allowSubscriptions','true',0),('blogTitle','@@BLOG_NAME@@',0),('blogDescription','@@BLOG_DESCR@@',0),('blogMail','',0),('lang','@@LOCALE@@',0),('charset','UTF-8/',0),('calendar','gregorian',0),('lang_content_negotiation','false',0),('enablePluginACL','false',0),('fetchLimit','15',0),('RSSfetchLimit','15',0),('enforce_RFC2616','false',0),('useGzip','false',0),('wysiwyg','false',0),('enablePopup','false',0),('embed','false',0),('top_as_links','false',0),('trackReferrer','true',0),('blockReferer',';',0),('rewrite','none',0),('serverOffsetHours','0',0),('showFutureEntries','false',0),('enableACL','true',0),('magick','false',0),('convert','/usr/local/bin/convert',0),('thumbSuffix','serendipityThumb',0),('thumbSize','110',0),('maxFileSize','',0),('maxImgWidth','',0),('maxImgHeight','',0),('onTheFlySynch','true',0),('dynamicResize','false',0),('mediaExif','true',0),('mediaProperties','DPI:IMAGE;RUN_LENGTH:VIDEO:AUDIO;DATE;COPYRIGHT;TITLE;COMMENT1:MULTI;COMMENT2:MULTI',0),('mediaKeywords','',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/title','Categories',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/authorid','all',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/sort_order','category_name',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/sort_method','ASC',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/allow_select','1',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/show_count','',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/parent_base','all',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/hide_parent','',0),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7/hide_parallel','',0),('@serendipity_syndication_plugin:7f5e5a1c787776bceaf6992db3e2ab8c/title','Syndicate This Blog',0);
CREATE TABLE `@@DB_MAIN_PREFIX@@entries` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(200) default NULL,
  `timestamp` int(10) unsigned default NULL,
  `body` text,
  `comments` int(4) unsigned default '0',
  `trackbacks` int(4) unsigned default '0',
  `extended` text,
  `exflag` int(1) default NULL,
  `author` varchar(20) default NULL,
  `authorid` int(11) default NULL,
  `isdraft` enum('true','false') NOT NULL default 'true',
  `allow_comments` enum('true','false') NOT NULL default 'true',
  `last_modified` int(10) unsigned default NULL,
  `moderate_comments` enum('true','false') NOT NULL default 'true',
  PRIMARY KEY  (`id`),
  KEY `date_idx` (`timestamp`),
  KEY `mod_idx` (`last_modified`),
  KEY `edraft_idx` (`isdraft`),
  KEY `eauthor_idx` (`authorid`),
  FULLTEXT KEY `entry_idx` (`title`,`body`,`extended`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@entrycat` (
  `entryid` int(11) NOT NULL default '0',
  `categoryid` int(11) NOT NULL default '0',
  UNIQUE KEY `entryid_idx` (`entryid`,`categoryid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@entryproperties` (
  `entryid` int(11) NOT NULL default '0',
  `property` varchar(255) NOT NULL default '',
  `value` text,
  UNIQUE KEY `prop_idx` (`entryid`,`property`),
  KEY `entrypropid_idx` (`entryid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@groupconfig` (
  `id` int(10) unsigned NOT NULL default '0',
  `property` varchar(128) default NULL,
  `value` varchar(32) default NULL,
  KEY `groupid_idx` (`id`),
  KEY `groupprop_idx` (`id`,`property`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@groupconfig` VALUES (1,'userlevel','0'),(1,'personalConfiguration','true'),(1,'personalConfigurationUserlevel','false'),(1,'personalConfigurationNoCreate','false'),(1,'personalConfigurationRightPublish','false'),(1,'siteConfiguration','false'),(1,'blogConfiguration','false'),(1,'adminEntries','true'),(1,'adminEntriesMaintainOthers','false'),(1,'adminImport','false'),(1,'adminCategories','true'),(1,'adminCategoriesMaintainOthers','false'),(1,'adminCategoriesDelete','false'),(1,'adminUsers','false'),(1,'adminUsersDelete','false'),(1,'adminUsersEditUserlevel','false'),(1,'adminUsersMaintainSame','false'),(1,'adminUsersMaintainOthers','false'),(1,'adminUsersCreateNew','false'),(1,'adminUsersGroups','false'),(1,'adminPlugins','false'),(1,'adminPluginsMaintainOthers','false'),(1,'adminImages','true'),(1,'adminImagesDirectories','false'),(1,'adminImagesAdd','true'),(1,'adminImagesDelete','true'),(1,'adminImagesMaintainOthers','false'),(1,'adminImagesViewOthers','true'),(1,'adminImagesView','true'),(1,'adminImagesSync','false'),(1,'adminComments','false'),(1,'adminTemplates','false'),(2,'userlevel','1'),(2,'personalConfiguration','true'),(2,'personalConfigurationUserlevel','true'),(2,'personalConfigurationNoCreate','true'),(2,'personalConfigurationRightPublish','true'),(2,'siteConfiguration','false'),(2,'blogConfiguration','true'),(2,'adminEntries','true'),(2,'adminEntriesMaintainOthers','true'),(2,'adminImport','true'),(2,'adminCategories','true'),(2,'adminCategoriesMaintainOthers','true'),(2,'adminCategoriesDelete','true'),(2,'adminUsers','true'),(2,'adminUsersDelete','true'),(2,'adminUsersEditUserlevel','true'),(2,'adminUsersMaintainSame','true'),(2,'adminUsersMaintainOthers','false'),(2,'adminUsersCreateNew','true'),(2,'adminUsersGroups','true'),(2,'adminPlugins','true'),(2,'adminPluginsMaintainOthers','false'),(2,'adminImages','true'),(2,'adminImagesDirectories','true'),(2,'adminImagesAdd','true'),(2,'adminImagesDelete','true'),(2,'adminImagesMaintainOthers','true'),(2,'adminImagesViewOthers','true'),(2,'adminImagesView','true'),(2,'adminImagesSync','true'),(2,'adminComments','true'),(2,'adminTemplates','true'),(3,'userlevel','255'),(3,'personalConfiguration','true'),(3,'personalConfigurationUserlevel','true'),(3,'personalConfigurationNoCreate','true'),(3,'personalConfigurationRightPublish','true'),(3,'siteConfiguration','true'),(3,'blogConfiguration','true'),(3,'adminEntries','true'),(3,'adminEntriesMaintainOthers','true'),(3,'adminImport','true'),(3,'adminCategories','true'),(3,'adminCategoriesMaintainOthers','true'),(3,'adminCategoriesDelete','true'),(3,'adminUsers','true'),(3,'adminUsersDelete','true'),(3,'adminUsersEditUserlevel','true'),(3,'adminUsersMaintainSame','true'),(3,'adminUsersMaintainOthers','true'),(3,'adminUsersCreateNew','true'),(3,'adminUsersGroups','true'),(3,'adminPlugins','true'),(3,'adminPluginsMaintainOthers','true'),(3,'adminImages','true'),(3,'adminImagesDirectories','true'),(3,'adminImagesAdd','true'),(3,'adminImagesDelete','true'),(3,'adminImagesMaintainOthers','true'),(3,'adminImagesViewOthers','true'),(3,'adminImagesView','true'),(3,'adminImagesSync','true'),(3,'adminComments','true'),(3,'adminTemplates','true');
CREATE TABLE `@@DB_MAIN_PREFIX@@groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=4;
INSERT INTO `@@DB_MAIN_PREFIX@@groups` VALUES (1,'USERLEVEL_EDITOR_DESC'),(2,'USERLEVEL_CHIEF_DESC'),(3,'USERLEVEL_ADMIN_DESC');
CREATE TABLE `@@DB_MAIN_PREFIX@@images` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `extension` varchar(5) NOT NULL default '',
  `mime` varchar(255) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  `dimensions_width` int(11) NOT NULL default '0',
  `dimensions_height` int(11) NOT NULL default '0',
  `date` int(11) NOT NULL default '0',
  `thumbnail_name` varchar(255) NOT NULL default '',
  `authorid` int(11) default '0',
  `path` text,
  `hotlink` int(1) default NULL,
  `realname` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `imagesauthorid_idx` (`authorid`),
  FULLTEXT KEY `pathkey_idx` (`path`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@mediaproperties` (
  `mediaid` int(11) NOT NULL default '0',
  `property` varchar(128) NOT NULL default '',
  `property_group` varchar(50) NOT NULL default '',
  `property_subgroup` varchar(50) NOT NULL default '',
  `value` text,
  UNIQUE KEY `media_idx` (`mediaid`,`property`,`property_group`,`property_subgroup`),
  KEY `mediapropid_idx` (`mediaid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@options` (
  `name` varchar(255) NOT NULL default '',
  `value` text NOT NULL,
  `okey` varchar(64) NOT NULL default '',
  KEY `options_idx` (`okey`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@permalinks` (
  `permalink` varchar(255) NOT NULL default '',
  `entry_id` int(10) unsigned NOT NULL default '0',
  `type` varchar(200) NOT NULL default '',
  `data` text,
  KEY `pl_idx` (`permalink`),
  KEY `ple_idx` (`entry_id`),
  KEY `plt_idx` (`type`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@permalinks` VALUES ('authors/1-John-Doe',1,'author',NULL);
CREATE TABLE `@@DB_MAIN_PREFIX@@plugincategories` (
  `class_name` varchar(250) default NULL,
  `category` varchar(250) default NULL
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@pluginlist` (
  `plugin_file` varchar(255) NOT NULL default '',
  `class_name` varchar(255) NOT NULL default '',
  `plugin_class` varchar(255) NOT NULL default '',
  `pluginPath` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `version` varchar(12) NOT NULL default '',
  `upgrade_version` varchar(12) NOT NULL default '',
  `plugintype` varchar(255) NOT NULL default '',
  `pluginlocation` varchar(255) NOT NULL default '',
  `stackable` int(1) NOT NULL default '0',
  `author` varchar(255) NOT NULL default '',
  `requirements` text NOT NULL,
  `website` varchar(255) NOT NULL default '',
  `last_modified` int(11) NOT NULL default '0',
  KEY `pluginlist_f_idx` (`plugin_file`),
  KEY `pluginlist_cn_idx` (`class_name`),
  KEY `pluginlist_pt_idx` (`plugintype`),
  KEY `pluginlist_pl_idx` (`pluginlocation`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@plugins` (
  `name` varchar(128) NOT NULL default '',
  `placement` varchar(6) NOT NULL default 'right',
  `sort_order` int(4) NOT NULL default '0',
  `authorid` int(11) default '0',
  `path` varchar(255) default NULL,
  PRIMARY KEY  (`name`),
  KEY `pluginauthorid_idx` (`authorid`),
  KEY `pluginplace_idx` (`placement`),
  KEY `pluginretr_idx` (`placement`,`sort_order`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES ('@serendipity_calendar_plugin:5ff19ffe50c583e3e9d88176158c7909','right',1,0,''),('@serendipity_quicksearch_plugin:930b56c80a8fdd26921f6954b990b023','right',2,0,''),('@serendipity_archives_plugin:4d1526f0bd7218ca62a81995e39ff8fc','right',3,0,''),('@serendipity_categories_plugin:408ce9ac97fc7c4ca9296b91c4cc3ad7','right',4,0,''),('@serendipity_syndication_plugin:7f5e5a1c787776bceaf6992db3e2ab8c','right',5,0,''),('@serendipity_superuser_plugin:3e67cd34b604295dbe74643b4f18864b','right',6,0,''),('@serendipity_plug_plugin:8cb51f9d984effdd8defc6bb6eee2972','right',7,0,''),('serendipity_event_s9ymarkup:547c7a802e24e9da6fe09e5665ff9ce7','event',1,0,''),('serendipity_event_emoticate:c124e3d2c53003249be17df2f09ccfc5','event',2,0,''),('serendipity_event_nl2br:7e5059e24209211d5265e1faa1dffbde','event',3,0,''),('serendipity_event_browsercompatibility:8d011b2000a64e18afce6ec6bdc015b0','event',4,0,''),('serendipity_event_spamblock:a414e164d820a09ce14f9f5da5383357','event',5,0,'');
CREATE TABLE `@@DB_MAIN_PREFIX@@references` (
  `id` int(11) NOT NULL auto_increment,
  `entry_id` int(10) unsigned NOT NULL default '0',
  `link` text,
  `name` text,
  `type` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `refentry_idx` (`entry_id`),
  KEY `reftype_idx` (`type`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@referrers` (
  `entry_id` int(11) NOT NULL default '0',
  `day` date NOT NULL default '0000-00-00',
  `count` int(11) NOT NULL default '0',
  `scheme` varchar(5) default NULL,
  `host` varchar(128) NOT NULL default '',
  `port` varchar(5) default NULL,
  `path` varchar(255) default NULL,
  `query` varchar(255) default NULL,
  PRIMARY KEY  (`host`,`day`,`entry_id`),
  KEY `referrers_idx` (`entry_id`,`day`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@suppress` (
  `ip` varchar(15) default NULL,
  `scheme` varchar(5) default NULL,
  `host` varchar(128) default NULL,
  `port` varchar(5) default NULL,
  `path` varchar(255) default NULL,
  `query` varchar(255) default NULL,
  `last` timestamp NOT NULL,
  KEY `url_idx` (`host`,`ip`),
  KEY `urllast_idx` (`last`)
) TYPE=MyISAM;
